
CoCoA-5 - Bug #650

CoCoA-5 test (SourceAnna); problem in HilbertPoly

12 Nov 2014 11:22 - John Abbott

Status: Closed Start date: 12 Nov 2014

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 0.60 hour

Description

Sometimes the CoCoA-5 test SourceAnna fails (on 64-bit MacOSX).

The problem appears when executing the line:

TEST_ASSERT(HilbertPoly(Qxyz/ideal(x,y^2)),  2);

History

#1 - 12 Nov 2014 11:26 - John Abbott

I have already reported by phone that there is a problem (with SourceAnna) on 32-bit Linux.

On my 64-bit MacOSX the test sometimes passes and sometimes does not.  I tried running just the specific line several times in a fresh CoCoA-5,

and no problems arose.

Running some of tests line-by-line, the following happened (after several repetitions):

>>> TEST_ASSERT(HilbertPoly(Qxyz/ideal(x,y^2)),  2);

***************************************************************************

****CoCoA ERROR****  ErrCode: CoCoA::ERR::IdealNotInRing

****CoCoA ERROR****  Message: Incompatible ring and ideal: ideal is not in the given ring

****CoCoA ERROR****  Context: NewQuotientRing

****CoCoA ERROR****  File:    QuotientRing.C

****CoCoA ERROR****  Line:    839

***************************************************************************

--> ERROR: Incompatible ring and ideal: ideal is not in the given ring

--> TEST_ASSERT(HilbertPoly(Qxyz/ideal(x,y^2)),  2);

-->                             ^
#2 - 28 Jul 2015 15:45 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.1.3/4 Jan 2016

I cannot reproduce this error.  Postponing to next version.

#3 - 17 Feb 2016 15:21 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have not noticed any problem like this lately; perhaps it has resolved itself magically?

Mark as "closed"?

#4 - 23 Mar 2016 10:18 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

This problem has not re-surfaced in ages.  Declare it closed.
